module(...)
--magic editor build
DATA={
	atk_stophit=true,
	cmds={
		[1]={args={alive_time=0.5,},func_name=[[Name]],start_time=0,},
		[2]={
			args={sound_path=[[Magic/sound_magic_40702_1.wav]],sound_rate=1,},
			func_name=[[PlaySound]],
			start_time=0,
		},
		[3]={
			args={action_name=[[attack2]],excutor=[[atkobj]],},
			func_name=[[PlayAction]],
			start_time=0.1,
		},
		[4]={args={},func_name=[[MagcAnimStart]],start_time=0.2,},
		[5]={
			args={
				alive_time=2,
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_new_407/Prefabs/407_attack2.prefab]],
					preload=true,
				},
				effect_dir_type=[[forward]],
				effect_pos={base_pos=[[atk]],depth=0,relative_angle=0,relative_dis=0,},
				excutor=[[atkobj]],
			},
			func_name=[[StandEffect]],
			start_time=0.7,
		},
		[6]={
			args={
				consider_hight=false,
				damage_follow=true,
				face_atk=false,
				hurt_delta=0,
				play_anim=false,
			},
			func_name=[[VicHitInfo]],
			start_time=0.9,
		},
		[7]={
			args={
				alive_time=2,
				bind_type=[[pos]],
				body_pos=[[foot]],
				effect={
					is_cached=true,
					magic_layer=[[center]],
					path=[[Effect/Magic/magic_eff_407/Prefabs/magic_eff_40702_hit.prefab]],
					preload=true,
				},
				excutor=[[vicobjs]],
				height=0.7,
			},
			func_name=[[BodyEffect]],
			start_time=0.9,
		},
		[8]={args={},func_name=[[End]],start_time=1.7,},
	},
	group_cmds={},
	magic_anim_start_time=0.2,
	pre_load_res={
		[1]=[[Effect/Magic/magic_eff_new_407/Prefabs/407_attack2.prefab]],
		[2]=[[Effect/Magic/magic_eff_407/Prefabs/magic_eff_40702_hit.prefab]],
	},
	run_env=[[war]],
	type=1,
	wait_goback=true,
}
